core-y += arch/um/sys-i386/ arch/x86/crypto/

TOP_ADDR := $(CONFIG_TOP_ADDR)

START := 0x8048000

LDFLAGS			+= -m elf_i386
ELF_ARCH		:= $(SUBARCH)
ELF_FORMAT 		:= elf32-$(SUBARCH)
OBJCOPYFLAGS  		:= -O binary -R .note -R .comment -S
HEADER_ARCH		:= x86
CHECKFLAGS	+= -D__i386__

ifeq ("$(origin SUBARCH)", "command line")
ifneq ("$(shell uname -m | sed -e s/i.86/i386/)", "$(SUBARCH)")
KBUILD_CFLAGS		+= $(call cc-option,-m32)
KBUILD_AFLAGS		+= $(call cc-option,-m32)
LINK-y			+= $(call cc-option,-m32)
UML_OBJCOPYFLAGS	+= -F $(ELF_FORMAT)

export LDFLAGS HOSTCFLAGS HOSTLDFLAGS UML_OBJCOPYFLAGS
endif
endif

KBUILD_CFLAGS		+= -DCONFIG_X86_32
KBUILD_AFLAGS		+= -DCONFIG_X86_32
CONFIG_X86_32		:= y
export CONFIG_X86_32

# First of all, tune CFLAGS for the specific CPU. This actually sets cflags-y.
include $(srctree)/arch/x86/Makefile_32.cpu

# prevent gcc from keeping the stack 16 byte aligned. Taken from i386.
cflags-y += $(call cc-option,-mpreferred-stack-boundary=2)

# Prevent sprintf in nfsd from being converted to strcpy and resulting in
# an unresolved reference.
cflags-y += -ffreestanding

KBUILD_CFLAGS += $(cflags-y)
